<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="warn">
    <Properties>
        <Property name="basePath">./../PlataformaFranquicia/log/</Property>
        <Property name="jsonLogsPath">/franquicia/plataforma_franquicia/core/logs/$${hostName}</Property>
    </Properties>
    <Appenders>
        <RollingFile  name="RollingMyFile" fileName="${basePath}plataforma_franquicia_core.log" filePattern="${basePath}backup_plataforma_franquicia_core_%d{yyyy-MM-dd HH-mm-ss}.log" ignoreExceptions="false">
            <PatternLayout>
                <Pattern>[#%d{yyyy-MM-dd HH:mm:ss.SSS} %-5level - Class[%c] - Method[%M] - Line[%L] - Log[%msg#]%n</Pattern>
            </PatternLayout>
            <Policies>
                <SizeBasedTriggeringPolicy size="2MB" />
            </Policies>
        </RollingFile>
        <RollingFile  name="MonitorLogs" fileName="${jsonLogsPath}/logs.json" filePattern="${jsonLogsPath}/bd-json-logs/$${date:yyyy-MM-dd}/backup_logs_%d{MM_dd_yyyy}_%i.json" ignoreExceptions="false">
            <JsonLayout properties="true" includeTimeMillis="true" eventEol="true" compact="true" locationInfo="true" includeStacktrace="true">
                <KeyValuePair key="host_name" value="$${hostName}"/>
            </JsonLayout>
            <Policies>
                <OnStartupTriggeringPolicy />
                <TimeBasedTriggeringPolicy />
                <SizeBasedTriggeringPolicy size="6MB" />
            </Policies>
            <DefaultRolloverStrategy max="10"/>
        </RollingFile>
        <WebSocket name="WebSocketMonitor">
            <JsonLayout properties="true" includeTimeMillis="true" eventEol="true" compact="true" locationInfo="true" includeStacktrace="true">
                <KeyValuePair key="host_name" value="$${hostName}"/>
            </JsonLayout>
        </WebSocket>
        <Console name="LogConsole" target="SYSTEM_OUT" ignoreExceptions="false">
            <PatternLayout>
                <Pattern>[#%d{yyyy-MM-dd HH:mm:ss.SSS} %-5level - Class[%c] - Method[%M] - Line[%L] -  Log[%msg#]%n</Pattern>
            </PatternLayout>
        </Console>
    </Appenders>
    <Loggers>
        <Logger name="org.springframework.messaging" level="error"/>
        <Logger name="org.springframework.web.socket" level="error" />
        <Logger name="org.springframework.web.SimpLogging" level="error"/>
        <Root level="trace" additivity="false">
            <AppenderRef ref="LogConsole" level="trace"/>
            <AppenderRef ref="RollingMyFile" level="trace"/>
            <AppenderRef ref="MonitorLogs" level="trace"/>
            <AppenderRef ref="WebSocketMonitor" level="trace"/>
        </Root>
    </Loggers>
</Configuration>